Summary:	app_mwanalyze module for the Asterisk PBX
Name:		asterisk-app_mwanalyze
Version:	1.0
Release:	%mkrel 1
License:	GPL
Group:		System/Servers
URL:		http://planinternet.net/download/voip/asterisk/
Source0:	http://planinternet.net/download/voip/asterisk/app_mwanalyze.c.bz2
BuildRequires:	asterisk-devel
Requires:	asterisk
Buildroot:	%{_tmppath}/%{name}-%{version}

%description
Digital Analyzer for Milliwatt Application.

%prep

%setup -q -T -c %{name}-%{version}
bzcat %{SOURCE0} > app_mwanalyze.c

cat > Makefile << EOF

CFLAGS+=-Wall -D_REENTRANT -D_GNU_SOURCE -fPIC
CC=gcc

all: app_mwanalyze.so

clean:
	rm -f *.so *.o

%.so : %.o
	\$(CC) \$(CFLAGS) -shared -Xlinker -x -o \$@ \$<

app_mwanalyze.so: app_mwanalyze.o
	\$(CC) \$(CFLAGS) -shared -Xlinker -x -o \$@ app_mwanalyze.o -lc
EOF

%build

%make CFLAGS="%{optflags} -pipe -Wall -fPIC -DPIC -D_REENTRANT -D_GNU_SOURCE"

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

install -d %{buildroot}%{_libdir}/asterisk
install -m0755 app_mwanalyze.so %{buildroot}%{_libdir}/asterisk/

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%attr(0755,root,root) %{_libdir}/asterisk/app_mwanalyze.so

%changelog
* Sun Mar 05 2006 Oden Eriksson <oeriksson@mandriva.com> 1.0-1mdk
- initial Mandriva package
